NLPLUG-FINDFS(1)

NAME
nlplug-findfs - Search for blockdevices to boot

SYNOPSIS

nlplug-findfs OPTIONS [SEARCHDEVICE]

DESCRIPTION
nlplug-findfs is part of the initramfs and is tasked to find the (possibly encrypted) boot partition and installer media.

-a OUTFILE
    When apk overlays are found during the search, a list of their paths will be stored in OUTFILE.

-b OUTFILE
    When boot media are found, a list of them is stored in OUTFILE. Boot media are identified by the existence of an .boot_repository file.

-c CRYPTDEVICE
    Specifies an block device for decryption.

-h  Show usage information.

-H HEADERDEVICE
    When using an encrypted device with LUKS headers on an separate block device, that block device must be specified using this option.

-k KEYFILE
    Attempt to decrypt the block device given with -c using a keyfile.

-m NAME
    When the decryption of the block device is successful, it will appear as /dev/mapper/NAME.

-n  Do not return non-zero if SEARCHDEVICE is not found.

-D  Mount the encrypted devices with the discard (TRIM) option. Dont enable this if you dont know what its doing.

-d  Enable debugging output.

-f SUBSYSTEM
    Ignore devices belonging to the given subsystem.

-o OFFSET
    When mounting an encrypted device, this specifies the payload offset for cryptsetup.

-p PROGRAM
    Call this program for uevents which have DEVNAME set.

-t TIMEOUT
    Timeout after TIMEOUT milliseconds without uevents.

AUTHOR

Written by Natanael Copa <ncopa@alpinelinux.org>, Timo Teräs <timo.teras@iki.fi> and others.

REPORTING BUGS
Alpine Linux Bugtracker: <https://bugs.alpinelinux.org/projects/alpine/issues>

SEE ALSO
mkinitfs-bootparam(7)